HBase
  1. HBase
  2. HBASE-994

IPC interfaces with different versions can cause problems

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 0.2.1, 0.18.0, 0.18.1, 0.19.0
    • Fix Version/s: 0.19.0
    • Component/s: IPC/RPC
    • Labels:
      None

      Description

      This morning we ran into a situation in which some 0.2.x region servers started up and joined a 0.18.1 cluster.

      This 'sort of' worked in that the hrs could communicate with the master, but clients could not communicate with the 0.2 region servers because the api version changed (the master wouldn't have liked it if it had deployed root or meta there).

      Suggestion is that we have a single api version that gets bumped when any of the interfaces changes.

        Activity

          People

          • Assignee:
            Jim Kellerman
            Reporter:
            Jim Kellerman
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development